IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_branch_update]') AND type = 'TR')
DROP TRIGGER [dbo].[mps_branch_update]
GO

   
CREATE trigger [dbo].[mps_branch_update] on [dbo].[mps_branch] for update as
begin
   declare
      @maxcard  int,
      @ins_accop_id bigint,
      @del_accop_id bigint,
      @numrows  int,
      @numnull  int,
      @errno    int,
      @errmsg   varchar(255)

      select  @numrows = @@rowcount
      if @numrows = 0
         return

declare @cmpid int 
select top 1 @cmpid = bc_cmpid from  inserted  
set @cmpid = isnull(@cmpid,0)

      update mps_tableupdated set tu_updated=0 where tu_table='mps_branch'  and tu_cmpid=@cmpid 

      return

/*  Errors handling  */
error:
    -- raiserror @errno @errmsg
    rollback  transaction
end